import { Permission } from './permission/permission.model';
/**
 * Class representation of a Role
 *
 * @author Joshua Kissoon
 * @since 20170710
 */
export declare class Role {
    id: number;
    slug: string;
    label: string;
    module_id: number;
    selected: boolean;
    is_global: boolean;
    is_editable: boolean;
    permissions: Permission[];
    permissionsModel: any;
    module_code: string;
    constructor();
    loadFromJson(data: any): void;
    hasPermission(perm: string): boolean;
    removePermission(perm: Permission): void;
    addPermission(permission: Permission): void;
    /**
     * Method that sets up a permissions variable to work as an ngModel
     *
     * @author Joshua Kissoon
     * @since 20161014
     */
    setupBlankPermissionsForNgModel(): void;
}
